
public class Dog {

	private String name;

	private int age;

	public Dog() {
		System.out.println("Default constructor (no parameters)");
	}

	public Dog(String name, int age) {
		System.out.println("Parameterized constructor");
		this.name = name;
		this.age = age;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	@Override
	public String toString() {
		return "Dog{" + "name='" + name + '\'' + ", age=" + age + '}';
	}
}

interface DogService {
	Dog getDog();

}

interface DogService2 {
	Dog getDog(String name, int age);
}